AUTO-MULTIPLE-CHOI(1)

NAME
auto-multiple-choice-association-auto - automatic association between students and answer sheets for AMC multiple choice exams.

SYNOPSIS

auto-multiple-choice association-auto --data project-data-dir --notes-id id --liste students-list.csv [--encodage-liste list-encoding] --liste-key key

DESCRIPTION

The auto-multiple-choice association-auto command associates students with their answer sheet (when there are no errors from students when coding their student number and no error during data capture). See the section called “Identification of the students” from English user documentation for details.

--data project-data-dir
    gives the directory where data files are (see for example auto-multiple-choice-prepare(1)).

--notes-id id
    gives the identification string of the code provided for student numbers (command \AMCcode in the LaTeX source file).

--pre-association
    if used, the --notes-id option is ignored and the automatic association is made from the pre-association data (command \AMCassociation in the LaTeX source file).

--liste students-list.csv
    gives the students list.

--encodage-liste list-encoding
    gives the students list file encoding (default is utf-8).

--liste-key key
    gives the column name where to find the student number in the students list.

--debug file.log
    gives a file to fill with debugging information.

AUTHORS

Alexis Bienvenüe <paamc@passoire.fr>
    Main author

Anirvan Sarkar
    Author and Editor

Hiroto Kagotani
    Editor

Frédéric Bréal
    Author and Editor

Jean Bérard
    Translation from French

Georges Khaznadar
    Translation from French

COPYRIGHT
Copyright © 2008-2025 Alexis Bienvenüe

This document can be used according to the terms of the GNU General Public License, version 2 or later.